#ifndef MESSAGE_H
#define MESSAGE_H
/*
 * $Id: Message.h 83 2008-05-09 18:00:21Z rosiere $
 *
 * [ Description ]
 * 
 * Routine of Test
 */

#include <stdio.h>
#include <string.h>
#include "Translation.h"

namespace morpheo {

#define MSG_ERROR         _("[   ERROR   ]")
#define MSG_WARNING       _("[  WARNING  ]")
#define MSG_INFORMATION   _("[INFORMATION]")

#define msg(arg...)				\
  do						\
    {						\
      fprintf(stdout,arg);			\
    } while (0) 

#define err(arg...)				\
  do						\
    {						\
      fprintf(stderr,arg);			\
    } while (0) 


}; // end namespace morpheo
#endif
